Skip to main content

Rule-based fix: rule-based fixes are not configured

typehttps://docs.frem.sh/reference/api/errors/rule-fix-unavailable
HTTP status503 Service Unavailable

What it means

Returned by POST /orgs/{org}/code-security/secrets/findings/{id}/fix and POST /orgs/{org}/code-security/iac/findings/{id}/fix (rule-based fixes). No fix was requested and no pull request was opened.

Rule-based fixes are not configured on this server.

Example detail message returned with this error:

  • Rule-based fixes are not configured on this server.

What to do

Transient. Retry with backoff. If it persists email support@frem.sh.

Response shape

All fremforge API errors are RFC 9457 problem+json:

{
  "type": "https://docs.frem.sh/reference/api/errors/rule-fix-unavailable",
  "title": "Service Unavailable",
  "status": 503,
  "detail": "..."
}

Branch on type, not on title or detail - those are human-readable and may be reworded.